summaryrefslogtreecommitdiff
path: root/config.status (plain)
blob: cbcd81bf39ec0987d4e171811a8336f3079bf604
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization. ##
13## --------------------- ##
14
15# Be more Bourne compatible
16DUALCASE=1; export DUALCASE # for MKS sh
17if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27esac
28
29fi
30
31
32
33
34# PATH needs CR
35# Avoid depending upon Character Ranges.
36as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39as_cr_digits='0123456789'
40as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42# The user is always right.
43if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53fi
54
55# Support unset when possible.
56if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58else
59 as_unset=false
60fi
61
62
63# IFS
64# We need space, tab and new line, in precisely that order. Quoting is
65# there to prevent editors from complaining about space-tab.
66# (If _AS_PATH_WALK were called with IFS unset, it would disable word
67# splitting by setting IFS to empty value.)
68as_nl='
69'
70IFS=" "" $as_nl"
71
72# Find who we are. Look in the path if we contain no directory separator.
73case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76for as_dir in $PATH
77do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81done
82IFS=$as_save_IFS
83
84 ;;
85esac
86# We did not find ourselves, most probably we were run as `sh COMMAND'
87# in which case we are not to be found in the path.
88if test "x$as_myself" = x; then
89 as_myself=$0
90fi
91if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94fi
95
96# Work around bugs in pre-3.0 UWIN ksh.
97for as_var in ENV MAIL MAILPATH
98do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99done
100PS1='$ '
101PS2='> '
102PS4='+ '
103
104# NLS nuisances.
105for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115done
116
117# Required to use basename.
118if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121else
122 as_expr=false
123fi
124
125if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127else
128 as_basename=false
129fi
130
131
132# Name of the executable.
133as_me=`$as_basename -- "$0" ||
134$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
151
152# CDPATH.
153$as_unset CDPATH
154
155
156
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
190
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197}
198
199
200if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202else
203 as_dirname=false
204fi
205
206ECHO_C= ECHO_N= ECHO_T=
207case `echo -n x` in
208-n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213*)
214 ECHO_N='-n';;
215esac
216
217if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220else
221 as_expr=false
222fi
223
224rm -f conf$$ conf$$.exe conf$$.file
225if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230fi
231echo >conf$$.file
232if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242else
243 as_ln_s='cp -p'
244fi
245rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246rmdir conf$$.dir 2>/dev/null
247
248if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253fi
254
255if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275fi
276as_executable_p=$as_test_x
277
278# Sed expression to map a string onto a valid CPP name.
279as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281# Sed expression to map a string onto a valid variable name.
282as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285exec 6>&1
286
287# Save the log message, to keep $[0] and so on meaningful, and to
288# report actual input values of CONFIG_FILES etc. instead of their
289# values after options handling.
290ac_log="
291This file was extended by zvbi $as_me 0.2.33, which was
292generated by GNU Autoconf 2.61. Invocation command line was
293
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
299
300on `(hostname || uname -n) 2>/dev/null | sed 1q`
301"
302
303# Files that config.status was made for.
304config_files=" Makefile contrib/Makefile examples/Makefile daemon/Makefile daemon/zvbid.init doc/Doxyfile doc/Makefile m4/Makefile src/Makefile src/dvb/Makefile test/Makefile po/Makefile.in zvbi.spec zvbi-0.2.pc"
305config_headers=" config.h"
306config_commands=" depfiles po-directories"
307
308ac_cs_usage="\
309\`$as_me' instantiates files from templates according to the
310current configuration.
311
312Usage: $0 [OPTIONS] [FILE]...
313
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
323
324Configuration files:
325$config_files
326
327Configuration headers:
328$config_headers
329
330Configuration commands:
331$config_commands
332
333Report bugs to <bug-autoconf@gnu.org>."
334
335ac_cs_version="\
336zvbi config.status 0.2.33
337configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"\"
339
340Copyright (C) 2006 Free Software Foundation, Inc.
341This config.status script is free software; the Free Software Foundation
342gives unlimited permission to copy, distribute and modify it."
343
344ac_pwd='/home/gk/work/ics/external/zvbi-0.2.33'
345srcdir='.'
346INSTALL='/usr/bin/install -c'
347# If no file are specified by the user, then we need to provide default
348# value. By we need to know if files were specified by the user.
349ac_need_defaults=:
350while test $# != 0
351do
352 case $1 in
353 --*=*)
354 ac_option=`expr "X$1" : 'X\([^=]*\)='`
355 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356 ac_shift=:
357 ;;
358 *)
359 ac_option=$1
360 ac_optarg=$2
361 ac_shift=shift
362 ;;
363 esac
364
365 case $ac_option in
366 # Handling of the options.
367 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368 ac_cs_recheck=: ;;
369 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370 echo "$ac_cs_version"; exit ;;
371 --debug | --debu | --deb | --de | --d | -d )
372 debug=: ;;
373 --file | --fil | --fi | --f )
374 $ac_shift
375 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376 ac_need_defaults=false;;
377 --header | --heade | --head | --hea )
378 $ac_shift
379 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380 ac_need_defaults=false;;
381 --he | --h)
382 # Conflict between --help and --header
383 { echo "$as_me: error: ambiguous option: $1
384Try \`$0 --help' for more information." >&2
385 { (exit 1); exit 1; }; };;
386 --help | --hel | -h )
387 echo "$ac_cs_usage"; exit ;;
388 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389 | -silent | --silent | --silen | --sile | --sil | --si | --s)
390 ac_cs_silent=: ;;
391
392 # This is an error.
393 -*) { echo "$as_me: error: unrecognized option: $1
394Try \`$0 --help' for more information." >&2
395 { (exit 1); exit 1; }; } ;;
396
397 *) ac_config_targets="$ac_config_targets $1"
398 ac_need_defaults=false ;;
399
400 esac
401 shift
402done
403
404ac_configure_extra_args=
405
406if $ac_cs_silent; then
407 exec 6>/dev/null
408 ac_configure_extra_args="$ac_configure_extra_args --silent"
409fi
410
411if $ac_cs_recheck; then
412 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
413 CONFIG_SHELL=/bin/sh
414 export CONFIG_SHELL
415 exec /bin/sh "./configure" $ac_configure_extra_args --no-create --no-recursion
416fi
417
418exec 5>>config.log
419{
420 echo
421 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422## Running $as_me. ##
423_ASBOX
424 echo "$ac_log"
425} >&5
426
427#
428# INIT-COMMANDS
429#
430AMDEP_TRUE="" ac_aux_dir="."
431# Capture the value of obsolete ALL_LINGUAS because we need it to compute
432 # POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES, CATALOGS. But hide it
433 # from automake < 1.5.
434 eval 'OBSOLETE_ALL_LINGUAS''=""'
435 # Capture the value of LINGUAS because we need it to compute CATALOGS.
436 LINGUAS="%UNSET%"
437
438
439
440# Handling of arguments.
441for ac_config_target in $ac_config_targets
442do
443 case $ac_config_target in
444 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
445 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
446 "po-directories") CONFIG_COMMANDS="$CONFIG_COMMANDS po-directories" ;;
447 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
448 "contrib/Makefile") CONFIG_FILES="$CONFIG_FILES contrib/Makefile" ;;
449 "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
450 "daemon/Makefile") CONFIG_FILES="$CONFIG_FILES daemon/Makefile" ;;
451 "daemon/zvbid.init") CONFIG_FILES="$CONFIG_FILES daemon/zvbid.init" ;;
452 "doc/Doxyfile") CONFIG_FILES="$CONFIG_FILES doc/Doxyfile" ;;
453 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
454 "m4/Makefile") CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
455 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
456 "src/dvb/Makefile") CONFIG_FILES="$CONFIG_FILES src/dvb/Makefile" ;;
457 "test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
458 "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
459 "zvbi.spec") CONFIG_FILES="$CONFIG_FILES zvbi.spec" ;;
460 "zvbi-0.2.pc") CONFIG_FILES="$CONFIG_FILES zvbi-0.2.pc" ;;
461
462 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
463echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
464 { (exit 1); exit 1; }; };;
465 esac
466done
467
468
469# If the user did not use the arguments to specify the items to instantiate,
470# then the envvar interface is used. Set only those that are not.
471# We use the long form for the default assignment because of an extremely
472# bizarre bug on SunOS 4.1.3.
473if $ac_need_defaults; then
474 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
475 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
476 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
477fi
478
479# Have a temporary directory for convenience. Make it in the build tree
480# simply because there is no reason against having it here, and in addition,
481# creating and moving files from /tmp can sometimes cause problems.
482# Hook for its removal unless debugging.
483# Note that there is a small window in which the directory will not be cleaned:
484# after its creation but before its name has been assigned to `$tmp'.
485$debug ||
486{
487 tmp=
488 trap 'exit_status=$?
489 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
490' 0
491 trap '{ (exit 1); exit 1; }' 1 2 13 15
492}
493# Create a (secure) tmp directory for tmp files.
494
495{
496 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
497 test -n "$tmp" && test -d "$tmp"
498} ||
499{
500 tmp=./conf$$-$RANDOM
501 (umask 077 && mkdir "$tmp")
502} ||
503{
504 echo "$me: cannot create a temporary directory in ." >&2
505 { (exit 1); exit 1; }
506}
507
508#
509# Set up the sed scripts for CONFIG_FILES section.
510#
511
512# No need to generate the scripts if there are no CONFIG_FILES.
513# This happens for instance when ./config.status config.h
514if test -n "$CONFIG_FILES"; then
515
516cat >"$tmp/subs-1.sed" <<\CEOF
517/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
518s,@SHELL@,|#_!!_#|/bin/sh,g
519s,@PATH_SEPARATOR@,|#_!!_#|:,g
520s,@PACKAGE_NAME@,|#_!!_#|zvbi,g
521s,@PACKAGE_TARNAME@,|#_!!_#|zvbi,g
522s,@PACKAGE_VERSION@,|#_!!_#|0.2.33,g
523s,@PACKAGE_STRING@,|#_!!_#|zvbi 0.2.33,g
524s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
525s,@exec_prefix@,|#_!!_#|${prefix},g
526s,@prefix@,|#_!!_#|/usr/local,g
527s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
528s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
529s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
530s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
531s,@datarootdir@,|#_!!_#|${prefix}/share,g
532s,@datadir@,|#_!!_#|${datarootdir},g
533s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
534s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
535s,@localstatedir@,|#_!!_#|${prefix}/var,g
536s,@includedir@,|#_!!_#|${prefix}/include,g
537s,@oldincludedir@,|#_!!_#|/usr/include,g
538s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
539s,@infodir@,|#_!!_#|${datarootdir}/info,g
540s,@htmldir@,|#_!!_#|${docdir},g
541s,@dvidir@,|#_!!_#|${docdir},g
542s,@pdfdir@,|#_!!_#|${docdir},g
543s,@psdir@,|#_!!_#|${docdir},g
544s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
545s,@localedir@,|#_!!_#|${datarootdir}/locale,g
546s,@mandir@,|#_!!_#|${datarootdir}/man,g
547s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
548s,@ECHO_C@,|#_!!_#|,g
549s,@ECHO_N@,|#_!!_#|-n,g
550s,@ECHO_T@,|#_!!_#|,g
551s,@LIBS@,|#_!!_#| -lpthread -lm -lpng -lz,g
552s,@build_alias@,|#_!!_#|,g
553s,@host_alias@,|#_!!_#|,g
554s,@target_alias@,|#_!!_#|,g
555s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
556s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
557s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
558s,@CYGPATH_W@,|#_!!_#|echo,g
559s,@PACKAGE@,|#_!!_#|zvbi,g
560s,@VERSION@,|#_!!_#|0.2.33,g
561s,@ACLOCAL@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run aclocal-1.9 -I m4,g
562s,@AUTOCONF@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run autoconf,g
563s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run automake-1.9,g
564s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run autoheader,g
565s,@MAKEINFO@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run makeinfo,g
566s,@install_sh@,|#_!!_#|/home/gk/work/ics/external/zvbi-0.2.33/install-sh,g
567s,@STRIP@,|#_!!_#|strip,g
568s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
569s,@mkdir_p@,|#_!!_#|mkdir -p --,g
570s,@AWK@,|#_!!_#|gawk,g
571s,@SET_MAKE@,|#_!!_#|,g
572s,@am__leading_dot@,|#_!!_#|.,g
573s,@AMTAR@,|#_!!_#|${SHELL} /home/gk/work/ics/external/zvbi-0.2.33/missing --run tar,g
574s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
575s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
576s,@INSIDE_GNOME_COMMON_TRUE@,|#_!!_#|#,g
577s,@INSIDE_GNOME_COMMON_FALSE@,|#_!!_#|,g
578s,@MAINTAINER_MODE_TRUE@,|#_!!_#|#,g
579s,@MAINTAINER_MODE_FALSE@,|#_!!_#|,g
580s,@MAINT@,|#_!!_#|#,g
581s,@LIBZVBI_SO_VERSION@,|#_!!_#|13:1:13,g
582s,@CC@,|#_!!_#|gcc,g
583s,@CFLAGS@,|#_!!_#|-g -O2,g
584s,@LDFLAGS@,|#_!!_#|,g
585s,@CPPFLAGS@,|#_!!_#|,g
586s,@ac_ct_CC@,|#_!!_#|gcc,g
587s,@EXEEXT@,|#_!!_#|,g
588s,@OBJEXT@,|#_!!_#|o,g
589s,@DEPDIR@,|#_!!_#|.deps,g
590s,@am__include@,|#_!!_#|include,g
591s,@am__quote@,|#_!!_#|,g
592s,@AMDEP_TRUE@,|#_!!_#|,g
593s,@AMDEP_FALSE@,|#_!!_#|#,g
594s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
595s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
596s,@am__fastdepCC_TRUE@,|#_!!_#|,g
597s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
598s,@CXX@,|#_!!_#|g++,g
599s,@CXXFLAGS@,|#_!!_#|-g -O2,g
600s,@ac_ct_CXX@,|#_!!_#|g++,g
601s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
602s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
603s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
604s,@CPP@,|#_!!_#|gcc -E,g
605s,@GREP@,|#_!!_#|/usr/bin/grep,g
606s,@EGREP@,|#_!!_#|/usr/bin/grep -E,g
607s,@build@,|#_!!_#|x86_64-unknown-linux-gnu,g
608s,@build_cpu@,|#_!!_#|x86_64,g
609s,@build_vendor@,|#_!!_#|unknown,g
610s,@build_os@,|#_!!_#|linux-gnu,g
611s,@host@,|#_!!_#|x86_64-unknown-linux-gnu,g
612s,@host_cpu@,|#_!!_#|x86_64,g
613s,@host_vendor@,|#_!!_#|unknown,g
614s,@host_os@,|#_!!_#|linux-gnu,g
615CEOF
616cat >"$tmp/subs-2.sed" <<\CEOF
617/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
618s,@LN_S@,|#_!!_#|ln -s,g
619s,@ECHO@,|#_!!_#|echo,g
620s,@AR@,|#_!!_#|ar,g
621s,@RANLIB@,|#_!!_#|ranlib,g
622s,@CXXCPP@,|#_!!_#|g++ -E,g
623s,@F77@,|#_!!_#|,g
624s,@FFLAGS@,|#_!!_#|,g
625s,@ac_ct_F77@,|#_!!_#|,g
626s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool,g
627s,@HAVE_GCC_LIMITS_TRUE@,|#_!!_#|,g
628s,@HAVE_GCC_LIMITS_FALSE@,|#_!!_#|#,g
629s,@HAVE_GCC_C89_SUPPORT_TRUE@,|#_!!_#|,g
630s,@HAVE_GCC_C89_SUPPORT_FALSE@,|#_!!_#|#,g
631s,@HAVE_GCC_C94_SUPPORT_TRUE@,|#_!!_#|,g
632s,@HAVE_GCC_C94_SUPPORT_FALSE@,|#_!!_#|#,g
633s,@HAVE_GCC_C99_SUPPORT_TRUE@,|#_!!_#|,g
634s,@HAVE_GCC_C99_SUPPORT_FALSE@,|#_!!_#|#,g
635s,@HAVE_GXX_CXX98_SUPPORT_TRUE@,|#_!!_#|,g
636s,@HAVE_GXX_CXX98_SUPPORT_FALSE@,|#_!!_#|#,g
637s,@UNICODE_CFLAGS@,|#_!!_#|,g
638s,@UNICODE_LIBS@,|#_!!_#|,g
639s,@LIBICONV@,|#_!!_#|,g
640s,@LTLIBICONV@,|#_!!_#|,g
641s,@XMKMF@,|#_!!_#|,g
642s,@X_CFLAGS@,|#_!!_#|,g
643s,@X_PRE_LIBS@,|#_!!_#| -lSM -lICE,g
644s,@X_LIBS@,|#_!!_#| -lX11,g
645s,@X_EXTRA_LIBS@,|#_!!_#|,g
646s,@HAVE_X_TRUE@,|#_!!_#|,g
647s,@HAVE_X_FALSE@,|#_!!_#|#,g
648s,@ENABLE_DVB_TRUE@,|#_!!_#|,g
649s,@ENABLE_DVB_FALSE@,|#_!!_#|#,g
650s,@ENABLE_PROXY_TRUE@,|#_!!_#|,g
651s,@ENABLE_PROXY_FALSE@,|#_!!_#|#,g
652s,@USE_NLS@,|#_!!_#|yes,g
653s,@MSGFMT@,|#_!!_#|/usr/bin/msgfmt,g
654s,@GMSGFMT@,|#_!!_#|/usr/bin/msgfmt,g
655s,@MSGFMT_015@,|#_!!_#|/usr/bin/msgfmt,g
656s,@GMSGFMT_015@,|#_!!_#|/usr/bin/msgfmt,g
657s,@XGETTEXT@,|#_!!_#|/usr/bin/xgettext,g
658s,@XGETTEXT_015@,|#_!!_#|/usr/bin/xgettext,g
659s,@MSGMERGE@,|#_!!_#|/usr/bin/msgmerge,g
660s,@INTL_MACOSX_LIBS@,|#_!!_#|,g
661s,@INTLLIBS@,|#_!!_#|,g
662s,@LIBINTL@,|#_!!_#|,g
663s,@LTLIBINTL@,|#_!!_#|,g
664s,@POSUB@,|#_!!_#|po,g
665s,@HAVE_DOXYGEN@,|#_!!_#|no,g
666s,@HAVE_DOXYGEN_TRUE@,|#_!!_#|#,g
667s,@HAVE_DOXYGEN_FALSE@,|#_!!_#|,g
668s,@BUILD_STATIC_LIB_TRUE@,|#_!!_#|,g
669s,@BUILD_STATIC_LIB_FALSE@,|#_!!_#|#,g
670s,@LIBOBJS@,|#_!!_#|,g
671s,@LTLIBOBJS@,|#_!!_#|,g
672:end
673s/|#_!!_#|//g
674CEOF
675fi # test -n "$CONFIG_FILES"
676
677
678for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
679do
680 case $ac_tag in
681 :[FHLC]) ac_mode=$ac_tag; continue;;
682 esac
683 case $ac_mode$ac_tag in
684 :[FHL]*:*);;
685 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
686echo "$as_me: error: Invalid tag $ac_tag." >&2;}
687 { (exit 1); exit 1; }; };;
688 :[FH]-) ac_tag=-:-;;
689 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
690 esac
691 ac_save_IFS=$IFS
692 IFS=:
693 set x $ac_tag
694 IFS=$ac_save_IFS
695 shift
696 ac_file=$1
697 shift
698
699 case $ac_mode in
700 :L) ac_source=$1;;
701 :[FH])
702 ac_file_inputs=
703 for ac_f
704 do
705 case $ac_f in
706 -) ac_f="$tmp/stdin";;
707 *) # Look for the file first in the build tree, then in the source tree
708 # (if the path is not absolute). The absolute path cannot be DOS-style,
709 # because $ac_f cannot contain `:'.
710 test -f "$ac_f" ||
711 case $ac_f in
712 [\\/$]*) false;;
713 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
714 esac ||
715 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
716echo "$as_me: error: cannot find input file: $ac_f" >&2;}
717 { (exit 1); exit 1; }; };;
718 esac
719 ac_file_inputs="$ac_file_inputs $ac_f"
720 done
721
722 # Let's still pretend it is `configure' which instantiates (i.e., don't
723 # use $as_me), people would be surprised to read:
724 # /* config.h. Generated by config.status. */
725 configure_input="Generated from "`IFS=:
726 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
727 if test x"$ac_file" != x-; then
728 configure_input="$ac_file. $configure_input"
729 { echo "$as_me:$LINENO: creating $ac_file" >&5
730echo "$as_me: creating $ac_file" >&6;}
731 fi
732
733 case $ac_tag in
734 *:-:* | *:-) cat >"$tmp/stdin";;
735 esac
736 ;;
737 esac
738
739 ac_dir=`$as_dirname -- "$ac_file" ||
740$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
741 X"$ac_file" : 'X\(//\)[^/]' \| \
742 X"$ac_file" : 'X\(//\)$' \| \
743 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
744echo X"$ac_file" |
745 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
746 s//\1/
747 q
748 }
749 /^X\(\/\/\)[^/].*/{
750 s//\1/
751 q
752 }
753 /^X\(\/\/\)$/{
754 s//\1/
755 q
756 }
757 /^X\(\/\).*/{
758 s//\1/
759 q
760 }
761 s/.*/./; q'`
762 { as_dir="$ac_dir"
763 case $as_dir in #(
764 -*) as_dir=./$as_dir;;
765 esac
766 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
767 as_dirs=
768 while :; do
769 case $as_dir in #(
770 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
771 *) as_qdir=$as_dir;;
772 esac
773 as_dirs="'$as_qdir' $as_dirs"
774 as_dir=`$as_dirname -- "$as_dir" ||
775$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
776 X"$as_dir" : 'X\(//\)[^/]' \| \
777 X"$as_dir" : 'X\(//\)$' \| \
778 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
779echo X"$as_dir" |
780 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
781 s//\1/
782 q
783 }
784 /^X\(\/\/\)[^/].*/{
785 s//\1/
786 q
787 }
788 /^X\(\/\/\)$/{
789 s//\1/
790 q
791 }
792 /^X\(\/\).*/{
793 s//\1/
794 q
795 }
796 s/.*/./; q'`
797 test -d "$as_dir" && break
798 done
799 test -z "$as_dirs" || eval "mkdir $as_dirs"
800 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
801echo "$as_me: error: cannot create directory $as_dir" >&2;}
802 { (exit 1); exit 1; }; }; }
803 ac_builddir=.
804
805case "$ac_dir" in
806.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
807*)
808 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
809 # A ".." for each directory in $ac_dir_suffix.
810 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
811 case $ac_top_builddir_sub in
812 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
813 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
814 esac ;;
815esac
816ac_abs_top_builddir=$ac_pwd
817ac_abs_builddir=$ac_pwd$ac_dir_suffix
818# for backward compatibility:
819ac_top_builddir=$ac_top_build_prefix
820
821case $srcdir in
822 .) # We are building in place.
823 ac_srcdir=.
824 ac_top_srcdir=$ac_top_builddir_sub
825 ac_abs_top_srcdir=$ac_pwd ;;
826 [\\/]* | ?:[\\/]* ) # Absolute name.
827 ac_srcdir=$srcdir$ac_dir_suffix;
828 ac_top_srcdir=$srcdir
829 ac_abs_top_srcdir=$srcdir ;;
830 *) # Relative name.
831 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
832 ac_top_srcdir=$ac_top_build_prefix$srcdir
833 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
834esac
835ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
836
837
838 case $ac_mode in
839 :F)
840 #
841 # CONFIG_FILE
842 #
843
844 case $INSTALL in
845 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
846 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
847 esac
848# If the template does not know about datarootdir, expand it.
849# FIXME: This hack should be removed a few years after 2.60.
850ac_datarootdir_hack=; ac_datarootdir_seen=
851
852case `sed -n '/datarootdir/ {
853 p
854 q
855}
856/@datadir@/p
857/@docdir@/p
858/@infodir@/p
859/@localedir@/p
860/@mandir@/p
861' $ac_file_inputs` in
862*datarootdir*) ac_datarootdir_seen=yes;;
863*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
864 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
865echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
866 ac_datarootdir_hack='
867 s&@datadir@&${datarootdir}&g
868 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
869 s&@infodir@&${datarootdir}/info&g
870 s&@localedir@&${datarootdir}/locale&g
871 s&@mandir@&${datarootdir}/man&g
872 s&\${datarootdir}&${prefix}/share&g' ;;
873esac
874 sed "/^[ ]*VPATH[ ]*=/{
875s/:*\$(srcdir):*/:/
876s/:*\${srcdir}:*/:/
877s/:*@srcdir@:*/:/
878s/^\([^=]*=[ ]*\):*/\1/
879s/:*$//
880s/^[^=]*=[ ]*$//
881}
882
883:t
884/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
885s&@configure_input@&$configure_input&;t t
886s&@top_builddir@&$ac_top_builddir_sub&;t t
887s&@srcdir@&$ac_srcdir&;t t
888s&@abs_srcdir@&$ac_abs_srcdir&;t t
889s&@top_srcdir@&$ac_top_srcdir&;t t
890s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
891s&@builddir@&$ac_builddir&;t t
892s&@abs_builddir@&$ac_abs_builddir&;t t
893s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
894s&@INSTALL@&$ac_INSTALL&;t t
895$ac_datarootdir_hack
896" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
897
898test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
899 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
900 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
901 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
902which seems to be undefined. Please make sure it is defined." >&5
903echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
904which seems to be undefined. Please make sure it is defined." >&2;}
905
906 rm -f "$tmp/stdin"
907 case $ac_file in
908 -) cat "$tmp/out"; rm -f "$tmp/out";;
909 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
910 esac
911 ;;
912 :H)
913 #
914 # CONFIG_HEADER
915 #
916 # First, check the format of the line:
917 cat >"$tmp/defines.sed" <<\CEOF
918/^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
919/^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
920b
921:def
922s/$/ /
923s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "zvbi" ,
924s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "zvbi" ,
925s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.2.33" ,
926s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "zvbi 0.2.33" ,
927s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "" ,
928s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "zvbi" ,
929s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.2.33" ,
930s,^\([ #]*\)[^ ]*\([ ]*_GNU_SOURCE\)[ (].*,\1define\2 1 ,
931s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRNDUP\)[ (].*,\1define\2 1 ,
932s,^\([ #]*\)[^ ]*\([ ]*HAVE_ASPRINTF\)[ (].*,\1define\2 1 ,
933s,^\([ #]*\)[^ ]*\([ ]*HAVE_VASPRINTF\)[ (].*,\1define\2 1 ,
934s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETOPT_LONG\)[ (].*,\1define\2 1 ,
935s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETADDRINFO\)[ (].*,\1define\2 1 ,
936s,^\([ #]*\)[^ ]*\([ ]*HAVE_PROGRAM_INVOCATION_NAME\)[ (].*,\1define\2 1 ,
937s,^\([ #]*\)[^ ]*\([ ]*HAVE_SINCOS\)[ (].*,\1define\2 1 ,
938s,^\([ #]*\)[^ ]*\([ ]*HAVE_LOG2\)[ (].*,\1define\2 1 ,
939s,^\([ #]*\)[^ ]*\([ ]*HAVE_SUSV3_STRERROR_R\)[ (].*,\1define\2 1 ,
940s,^\([ #]*\)[^ ]*\([ ]*Z_LITTLE_ENDIAN\)[ (].*,\1define\2 1234 ,
941s,^\([ #]*\)[^ ]*\([ ]*Z_BIG_ENDIAN\)[ (].*,\1define\2 4321 ,
942s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
943s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
944s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
945s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
946s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
947s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
948s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
949s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
950s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
951s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
952s,^\([ #]*\)[^ ]*\([ ]*Z_BYTE_ORDER\)[ (].*,\1define\2 1234 ,
953s,^\([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
954s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBPTHREAD\)[ (].*,\1define\2 1 ,
955s,^\([ #]*\)[^ ]*\([ ]*HAVE_GLIBC21\)[ (].*,\1define\2 1 ,
956s,^\([ #]*\)[^ ]*\([ ]*HAVE_ICONV\)[ (].*,\1define\2 1 ,
957s,^\([ #]*\)[^ ]*\([ ]*HAVE_LIBPNG\)[ (].*,\1define\2 1 ,
958s,^\([ #]*\)[^ ]*\([ ]*ENABLE_V4L\)[ (].*,\1define\2 1 ,
959s,^\([ #]*\)[^ ]*\([ ]*ENABLE_V4L2\)[ (].*,\1define\2 1 ,
960s,^\([ #]*\)[^ ]*\([ ]*ENABLE_DVB\)[ (].*,\1define\2 1 ,
961s,^\([ #]*\)[^ ]*\([ ]*HAVE_S64_U64\)[ (].*,\1define\2 1 ,
962s,^\([ #]*\)[^ ]*\([ ]*ENABLE_PROXY\)[ (].*,\1define\2 1 ,
963s,^\([ #]*\)[^ ]*\([ ]*HAVE_IOCTL_INT_ULONG_DOTS\)[ (].*,\1define\2 1 ,
964s,^\([ #]*\)[^ ]*\([ ]*ENABLE_NLS\)[ (].*,\1define\2 1 ,
965s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETTEXT\)[ (].*,\1define\2 1 ,
966s,^\([ #]*\)[^ ]*\([ ]*HAVE_DCGETTEXT\)[ (].*,\1define\2 1 ,
967s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_LOCALE_DIR\)[ (].*,\1define\2 "/usr/local/share/locale" ,
968s/ $//
969s,^[ #]*u.*,/* & */,
970CEOF
971 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
972ac_result="$tmp/out1"
973 if test x"$ac_file" != x-; then
974 echo "/* $configure_input */" >"$tmp/config.h"
975 cat "$ac_result" >>"$tmp/config.h"
976 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
977 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
978echo "$as_me: $ac_file is unchanged" >&6;}
979 else
980 rm -f $ac_file
981 mv "$tmp/config.h" $ac_file
982 fi
983 else
984 echo "/* $configure_input */"
985 cat "$ac_result"
986 fi
987 rm -f "$tmp/out12"
988# Compute $ac_file's index in $config_headers.
989_am_stamp_count=1
990for _am_header in $config_headers :; do
991 case $_am_header in
992 $ac_file | $ac_file:* )
993 break ;;
994 * )
995 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
996 esac
997done
998echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
999$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1000 X$ac_file : 'X\(//\)[^/]' \| \
1001 X$ac_file : 'X\(//\)$' \| \
1002 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
1003echo X$ac_file |
1004 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1005 s//\1/
1006 q
1007 }
1008 /^X\(\/\/\)[^/].*/{
1009 s//\1/
1010 q
1011 }
1012 /^X\(\/\/\)$/{
1013 s//\1/
1014 q
1015 }
1016 /^X\(\/\).*/{
1017 s//\1/
1018 q
1019 }
1020 s/.*/./; q'`/stamp-h$_am_stamp_count
1021 ;;
1022
1023 :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
1024echo "$as_me: executing $ac_file commands" >&6;}
1025 ;;
1026 esac
1027
1028
1029 case $ac_file$ac_mode in
1030 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1031 # Strip MF so we end up with the name of the file.
1032 mf=`echo "$mf" | sed -e 's/:.*$//'`
1033 # Check whether this is an Automake generated Makefile or not.
1034 # We used to match only the files named `Makefile.in', but
1035 # some people rename them; so instead we look at the file content.
1036 # Grep'ing the first line is not enough: some people post-process
1037 # each Makefile.in and add a new line on top of each file to say so.
1038 # So let's grep whole file.
1039 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1040 dirpart=`$as_dirname -- "$mf" ||
1041$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1042 X"$mf" : 'X\(//\)[^/]' \| \
1043 X"$mf" : 'X\(//\)$' \| \
1044 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
1045echo X"$mf" |
1046 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1047 s//\1/
1048 q
1049 }
1050 /^X\(\/\/\)[^/].*/{
1051 s//\1/
1052 q
1053 }
1054 /^X\(\/\/\)$/{
1055 s//\1/
1056 q
1057 }
1058 /^X\(\/\).*/{
1059 s//\1/
1060 q
1061 }
1062 s/.*/./; q'`
1063 else
1064 continue
1065 fi
1066 # Extract the definition of DEPDIR, am__include, and am__quote
1067 # from the Makefile without running `make'.
1068 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1069 test -z "$DEPDIR" && continue
1070 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1071 test -z "am__include" && continue
1072 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1073 # When using ansi2knr, U may be empty or an underscore; expand it
1074 U=`sed -n 's/^U = //p' < "$mf"`
1075 # Find all dependency output files, they are included files with
1076 # $(DEPDIR) in their names. We invoke sed twice because it is the
1077 # simplest approach to changing $(DEPDIR) to its actual value in the
1078 # expansion.
1079 for file in `sed -n "
1080 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1081 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1082 # Make sure the directory exists.
1083 test -f "$dirpart/$file" && continue
1084 fdir=`$as_dirname -- "$file" ||
1085$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1086 X"$file" : 'X\(//\)[^/]' \| \
1087 X"$file" : 'X\(//\)$' \| \
1088 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1089echo X"$file" |
1090 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1091 s//\1/
1092 q
1093 }
1094 /^X\(\/\/\)[^/].*/{
1095 s//\1/
1096 q
1097 }
1098 /^X\(\/\/\)$/{
1099 s//\1/
1100 q
1101 }
1102 /^X\(\/\).*/{
1103 s//\1/
1104 q
1105 }
1106 s/.*/./; q'`
1107 { as_dir=$dirpart/$fdir
1108 case $as_dir in #(
1109 -*) as_dir=./$as_dir;;
1110 esac
1111 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1112 as_dirs=
1113 while :; do
1114 case $as_dir in #(
1115 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1116 *) as_qdir=$as_dir;;
1117 esac
1118 as_dirs="'$as_qdir' $as_dirs"
1119 as_dir=`$as_dirname -- "$as_dir" ||
1120$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1121 X"$as_dir" : 'X\(//\)[^/]' \| \
1122 X"$as_dir" : 'X\(//\)$' \| \
1123 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1124echo X"$as_dir" |
1125 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1126 s//\1/
1127 q
1128 }
1129 /^X\(\/\/\)[^/].*/{
1130 s//\1/
1131 q
1132 }
1133 /^X\(\/\/\)$/{
1134 s//\1/
1135 q
1136 }
1137 /^X\(\/\).*/{
1138 s//\1/
1139 q
1140 }
1141 s/.*/./; q'`
1142 test -d "$as_dir" && break
1143 done
1144 test -z "$as_dirs" || eval "mkdir $as_dirs"
1145 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
1146echo "$as_me: error: cannot create directory $as_dir" >&2;}
1147 { (exit 1); exit 1; }; }; }
1148 # echo "creating $dirpart/$file"
1149 echo '# dummy' > "$dirpart/$file"
1150 done
1151done
1152 ;;
1153 "po-directories":C)
1154 for ac_file in $CONFIG_FILES; do
1155 # Support "outfile[:infile[:infile...]]"
1156 case "$ac_file" in
1157 *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1158 esac
1159 # PO directories have a Makefile.in generated from Makefile.in.in.
1160 case "$ac_file" in */Makefile.in)
1161 # Adjust a relative srcdir.
1162 ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
1163 ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
1164 ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
1165 # In autoconf-2.13 it is called $ac_given_srcdir.
1166 # In autoconf-2.50 it is called $srcdir.
1167 test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
1168 case "$ac_given_srcdir" in
1169 .) top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
1170 /*) top_srcdir="$ac_given_srcdir" ;;
1171 *) top_srcdir="$ac_dots$ac_given_srcdir" ;;
1172 esac
1173 # Treat a directory as a PO directory if and only if it has a
1174 # POTFILES.in file. This allows packages to have multiple PO
1175 # directories under different names or in different locations.
1176 if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
1177 rm -f "$ac_dir/POTFILES"
1178 test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
1179 cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ ]*\$/d" -e "s,.*, $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
1180 POMAKEFILEDEPS="POTFILES.in"
1181 # ALL_LINGUAS, POFILES, UPDATEPOFILES, DUMMYPOFILES, GMOFILES depend
1182 # on $ac_dir but don't depend on user-specified configuration
1183 # parameters.
1184 if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
1185 # The LINGUAS file contains the set of available languages.
1186 if test -n "$OBSOLETE_ALL_LINGUAS"; then
1187 test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
1188 fi
1189 ALL_LINGUAS_=`sed -e "/^#/d" -e "s/#.*//" "$ac_given_srcdir/$ac_dir/LINGUAS"`
1190 # Hide the ALL_LINGUAS assigment from automake < 1.5.
1191 eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
1192 POMAKEFILEDEPS="$POMAKEFILEDEPS LINGUAS"
1193 else
1194 # The set of available languages was given in configure.in.
1195 # Hide the ALL_LINGUAS assigment from automake < 1.5.
1196 eval 'ALL_LINGUAS''=$OBSOLETE_ALL_LINGUAS'
1197 fi
1198 # Compute POFILES
1199 # as $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).po)
1200 # Compute UPDATEPOFILES
1201 # as $(foreach lang, $(ALL_LINGUAS), $(lang).po-update)
1202 # Compute DUMMYPOFILES
1203 # as $(foreach lang, $(ALL_LINGUAS), $(lang).nop)
1204 # Compute GMOFILES
1205 # as $(foreach lang, $(ALL_LINGUAS), $(srcdir)/$(lang).gmo)
1206 case "$ac_given_srcdir" in
1207 .) srcdirpre= ;;
1208 *) srcdirpre='$(srcdir)/' ;;
1209 esac
1210 POFILES=
1211 UPDATEPOFILES=
1212 DUMMYPOFILES=
1213 GMOFILES=
1214 for lang in $ALL_LINGUAS; do
1215 POFILES="$POFILES $srcdirpre$lang.po"
1216 UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
1217 DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
1218 GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
1219 done
1220 # CATALOGS depends on both $ac_dir and the user's LINGUAS
1221 # environment variable.
1222 INST_LINGUAS=
1223 if test -n "$ALL_LINGUAS"; then
1224 for presentlang in $ALL_LINGUAS; do
1225 useit=no
1226 if test "%UNSET%" != "$LINGUAS"; then
1227 desiredlanguages="$LINGUAS"
1228 else
1229 desiredlanguages="$ALL_LINGUAS"
1230 fi
1231 for desiredlang in $desiredlanguages; do
1232 # Use the presentlang catalog if desiredlang is
1233 # a. equal to presentlang, or
1234 # b. a variant of presentlang (because in this case,
1235 # presentlang can be used as a fallback for messages
1236 # which are not translated in the desiredlang catalog).
1237 case "$desiredlang" in
1238 "$presentlang"*) useit=yes;;
1239 esac
1240 done
1241 if test $useit = yes; then
1242 INST_LINGUAS="$INST_LINGUAS $presentlang"
1243 fi
1244 done
1245 fi
1246 CATALOGS=
1247 if test -n "$INST_LINGUAS"; then
1248 for lang in $INST_LINGUAS; do
1249 CATALOGS="$CATALOGS $lang.gmo"
1250 done
1251 fi
1252 test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
1253 sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" -e "s|@POMAKEFILEDEPS@|$POMAKEFILEDEPS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
1254 for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
1255 if test -f "$f"; then
1256 case "$f" in
1257 *.orig | *.bak | *~) ;;
1258 *) cat "$f" >> "$ac_dir/Makefile" ;;
1259 esac
1260 fi
1261 done
1262 fi
1263 ;;
1264 esac
1265 done ;;
1266
1267 esac
1268done # for ac_tag
1269
1270
1271{ (exit 0); exit 0; }
1272